commit 184a13543702c315ce7dee1916f608148263cab7
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Nov 15 01:28:42 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 6b62f571225..adbfb2332df 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,63 @@
+2025-11-14  Jeff Law  <jlaw@ventanamicro.com>
+
+	Backported from master:
+	2025-08-14  Jeff Law  <jlaw@ventanamicro.com>
+
+	PR target/119275
+	* config/riscv/riscv.cc (riscv_legitimize_move): Avoid calling
+	gen_lowpart for cases where it'll fail.  Just use standard expander
+	paths for those cases.
+
+2025-11-14  Uros Bizjak  <ubizjak@gmail.com>
+
+	Backported from master:
+	2025-11-14  Uros Bizjak  <ubizjak@gmail.com>
+
+	* config/i386/i386.md (*sub<mode>_3):
+	Remove 'i' from operand 0 constraint.
+
+2025-11-14  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	PR target/122216
+	* config/arm/arm-mve-builtins-base.cc (enum which_scalar_shift): New.
+	(mve_function_scalar_shift): New.
+	(asrl, lsll): New.
+	* config/arm/arm-mve-builtins-base.def (asrl, lsll): New.
+	* config/arm/arm-mve-builtins-base.h (asrl, lsll): New.
+	* config/arm/arm_mve.h (asrl): Delete.
+	(lsll): Delete.
+	(__arm_asrl): Delete.
+	(__arm_lsll): Delete.
+
+2025-11-14  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	PR target/122216
+	* config/arm/arm-mve-builtins-shapes.cc (scalar_s64_shift): New.
+	(scalar_u64_shift): New.
+	* config/arm/arm-mve-builtins-shapes.h: Likewise.
+
+2025-11-14  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	PR target/122216
+	* config/arm/arm.md (ashldi3, ashrdi3): Force shift amount into
+	QImode.
+	* config/arm/constraints.md: Fix comment, Pg is valid in Thumb-2
+	state only.
+	* config/arm/mve.md (mve_asrl): Handle various shift amount ranges.
+	(mve_asrl_imm, mve_asrl_internal): New patterns.
+	(mve_lsll): Handle various shift amount ranges.
+	(mve_lsll_imm, mve_lsll_internal): New patterns.
+
+2025-11-14  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	PR target/122216
+	* config/arm/thumb2.md (thumb2_asrl, thumb2_lsll, thumb2_lsrl):
+	Move to ...
+	* config/arm/mve.md (mve_asrl, mve_lsll, mve_lsrl): ... here. Use
+	match_operand instead of match_dup.
+	* config/arm/arm.md (ashldi3, ashrdi3, lshrdi3): Remove useless
+	copy. Update for new prototype.
+
 2025-11-12  Christophe Lyon  <christophe.lyon@linaro.org>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 7dd59f5c1f9..452b306f6eb 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251114
+20251115
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 0dac314cc74..b6f884f6ceb 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,17 @@
+2025-11-14  Jeff Law  <jlaw@ventanamicro.com>
+
+	Backported from master:
+	2025-08-14  Jeff Law  <jlaw@ventanamicro.com>
+
+	PR target/119275
+	* gcc.target/riscv/pr119275.c: New test.
+
+2025-11-14  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	PR target/122216
+	* gcc.target/arm/mve/intrinsics/asrl-various-ranges.c: New test.
+	* gcc.target/arm/mve/intrinsics/lsll-various-ranges.c: New test.
+
 2025-11-12  Christophe Lyon  <christophe.lyon@linaro.org>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index d7886f71b64..4a688eef8bc 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,14 @@
+2025-11-14  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-11-13  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/122661
+	* include/bits/forward_list.h (forward_list::assign(I, I)): Fix
+	value category in is_assignable check.
+	* testsuite/23_containers/forward_list/modifiers/122661.cc:
+	New test.
+
 2025-10-20  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

